<?php

namespace Hrms\Hrm\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Hrms\Hrm\Interfaces\DepartmentManagmentRepositoryInterface;

class DepartmentManagmentPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Hrms\DepartmentManagment\Interfaces\DepartmentManagmentRepositoryInterface $department_managment
     *
     * @return type
     */
    public function __construct(DepartmentManagmentRepositoryInterface $department_managment)
    {
        $this->model = $department_managment;
        parent::__construct();
    }

    /**
     * Show department_managment's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $department_managments = $this->model->all();

        return $this->theme->of('hrm::public.department_managment.index', compact('department_managments'))->render();
    }

    /**
     * Show department_managment.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $department_managment = $this->model->findBySlug($slug);

        return $this->theme->of('hrm::public.department_managment.show', compact('department_managment'))->render();
    }
}
